using System.Text.Json.Serialization;

namespace FitConnect.Services.Models.v1.Destination;

// ReSharper disable once ClassNeverInstantiated.Global
public class PublicDestinationDto {
    [JsonPropertyName("destinationId")]
    public string? DestinationId { get; set; }


    [JsonPropertyName("encryptionKid")]
    public string? EncryptionKid { get; set; }


    [JsonPropertyName("metadataVersions")]
    public List<string>? MetadataVersions { get; set; }


    [JsonPropertyName("replyChannels")]
    public DestinationReplyChannelsDto? ReplyChannels { get; set; }


    [JsonPropertyName("services")]
    public List<DestinationServiceDto>? Services { get; set; }


    [JsonPropertyName("status")]
    public string? Status { get; set; }
}
