using System.Text.Json.Serialization;

namespace FitConnect.Services.Models.v1.Destination;

public class UpdateDestinationDto {
    [JsonPropertyName("callback")]
    public CallbackDto? Callback { get; set; }


    [JsonPropertyName("contactInformation")]
    public ContactInformationDto? ContactInformation { get; set; }


    [JsonPropertyName("encryptionKid")]
    public string? EncryptionKid { get; set; }


    [JsonPropertyName("metadataVersions")]
    public List<string>? metadataVersions { get; set; }


    [JsonPropertyName("replyChannels")]
    public DestinationReplyChannelsDto? ReplyChannels { get; set; }


    [JsonPropertyName("services")]
    public List<DestinationServiceDto>? Services { get; set; }

    [JsonPropertyName("status")]
    public string? Status { get; set; }
}
